d3.csv('https://gist.githubusercontent.com/vagdevi-369/60da534a2b4ed73f453b59014958d594/raw/822a0a22883c9ce3525bffc9e22eb20cad1ecd8a/project1', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'agent'), y: unpack(rows, 'is_repeated_guest'), z: unpack(rows, 'previous_cancellations'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'green',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = {
	x:unpack(rows, 'agent'), y: unpack(rows, 'previous_cancellations'), z: unpack(rows, 'previous_bookings_not_canceled'),
	mode: 'markers',
	marker: {
		color: 'pink',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'green',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1, trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});
